package main

import (
	log "github.com/sirupsen/logrus"
)

var logConstants = map[string]log.Level{
	":fatal":   log.FatalLevel,
	":error":   log.ErrorLevel,
	":warn":    log.WarnLevel,
	":info":    log.InfoLevel,
	":debug":   log.DebugLevel,
	":verbose": log.TraceLevel,
	":all":     log.TraceLevel,
}

func stringToLogConstant(c string) log.Level {
	level, ok := logConstants[c]
	if !ok {
		level = log.FatalLevel
	}

	return level
}

// SetLogrusLevel sets Logrus logging level from a string
func SetLogrusLevel(level string) {
	log.SetLevel(stringToLogConstant(level))
}
